package de.hems.trafficsim;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import java.util.Observable;
import java.util.Observer;

public class MainActivity extends AppCompatActivity implements Observer {

    protected Track track;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        this.track = new Track();
        this.track.addObserver(this);

    }

    @Override
    public void update(Observable observable, Object o) {
        String s = "";
        for (Vehicle v: this.track.getVehicles()){
            s+="Pos = " + v.getPosition() +"\n";
        }
        TextView view = (TextView) findViewById(R.id.debugTextView);
        view.setText(s);
        view.invalidate();
    }

    public void onStepButtonClick (View view){
        this.track.timeElapse(50);
    }
}