package de.hems.trafficsim;

import java.util.ArrayList;
import java.util.List;
import java.util.Observable;

public class Track extends Observable {
    protected List<Vehicle> vehicles;
    public List<Vehicle> getVehicles() {
        return vehicles;
    }



    public Track() {
        this.vehicles = createVehiclesList();
    }

    protected List<Vehicle> createVehiclesList(){
        List<Vehicle> result = new ArrayList<>();
        for(int i=0;i<10;i++){
            Vehicle vehicle = new Vehicle(i, 5, 0.2f);
            result.add(vehicle);
        }
        return result;
    }

    public void timeElapse(float timeStep) {
        this.setChanged();
        this.notifyObservers(this);
        this.clearChanged();
    }
}
